<?php



// Bootstrap file for getting the ABSPATH constant to wp-load.php

require_once('../../config.php');



// check for rights

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 

	wp_die(__("You are not allowed to be here"));

?>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<title>Insert Badges</title>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.js"></script>

<script language="javascript" type="text/javascript" src="<?php echo home_url(); ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>

<style type="text/css" src="<?php echo home_url(); ?>/wp-includes/js/tinymce/themes/advanced/skins/wp_theme/dialog.css"></style>

<link rel="stylesheet" type="text/css" href="<?php echo home_url(); ?>/wp-content/plugins/wp-graphix-magic-light/includes/badges/badges-tinymce.css" />



<script type="text/javascript">

 var ButtonDialog = {

	local_ed : 'ed',

	init : function(ed) {

		ButtonDialog.local_ed = ed;

		tinyMCEPopup.resizeToInnerSize();

	},

	insert : function insertButton(ed) {

 

		// set up variables to contain our input values

		var image = jQuery('#badges-dialog input:radio:checked').val();

		var align = jQuery('select#badge-align').val();

 

		var output = '';

 

		// setup the output of our shortcode

		output = '[wpgfxm_badge ';

			output += 'image="' + image + '" ';

			output += 'align="' + align + '"';

			output += ']';

 

		tinyMCEPopup.execCommand('mceInsertContent', false, output);

 

		// Return

		tinyMCEPopup.close();

	}

};

tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);

</script>



</head>



<body>

	<div id="badges-dialog">

		<form action="/" method="get" accept-charset="utf-8">

			<div id="badges-note">

			<p>Choose Your Badge Style and Size</p>

			</div>

				<div id="badges-container">

					<div id="badge-row">

						<div class="badge-box">

							<?php echo '<img src="' .plugins_url('badges/badge-images/popup/orange-badge-l.png', dirname(__FILE__)). '" width="190" height="138" border="0" /> '; ?>

							<p>Approximate Size: 272px by 196px</p>

							<input type="radio" name="badge-image" value="orange-badge-lg" id="badge-image" />

						</div>

						<div class="badge-box">

							<?php echo '<img src="' .plugins_url('badges/badge-images/popup/orange-badge-m.png', dirname(__FILE__)). '" width="190" height="138" border="0" /> '; ?>

							<p>Approximate Size: 190px by 138px</p>

							<input type="radio" name="badge-image" value="orange-badge-med" id="badge-image" />

						</div>

						<div class="badge-box">

							<?php echo '<img src="' .plugins_url('badges/badge-images/popup/orange-badge-s.png', dirname(__FILE__)). '" width="190" height="138" border="0" /> '; ?>

							<p>Approximate Size: 133px by 96px</p>

							<input type="radio" name="badge-image" value="orange-badge-sm" id="badge-image" />

						</div>

						<div class="badge-alignment">

							<label for="badges-title">Badge Align</label>

							<select name="badge-align" id="badge-align">

								<option value="left">Left</option>

								<option value="right">Right</option>

							</select>

						</div>

						<div class="get-full">

							<p><strong>You are using the FREE version of WP Graphix Magic!</strong> To get the <strong>FULL version</strong> which contains dozens more graphics, options, and shortcodes... Grab your copy at <a href="http://www.wpgraphixmagic.com" title="WP Graphix Magic" target="_blank">www.wpgraphixmagic.com</a>!</p>

						</div>

					</div><!-- End badge-row -->

				</div><!-- End container -->

			<div>	

				<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display:block; line-height:24px;">Insert</a>

			</div>

		</form>

	</div><!-- End badges-dialog -->

</body>

</html>