<?php



// Bootstrap file for getting the ABSPATH constant to wp-load.php

require_once('../../config.php');



// check for rights

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 

	wp_die(__("You are not allowed to be here"));

?>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<title>Insert Bullets</title>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.js"></script>

<script language="javascript" type="text/javascript" src="<?php echo home_url(); ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>

<style type="text/css" src="<?php echo home_url(); ?>/wp-includes/js/tinymce/themes/advanced/skins/wp_theme/dialog.css"></style>

<link rel="stylesheet" type="text/css" href="<?php echo home_url(); ?>/wp-content/plugins/wp-graphix-magic-light/includes/bullets/bullets-tinymce.css" />



<script type="text/javascript">

 var ButtonDialog = {

	local_ed : 'ed',

	init : function(ed) {

		ButtonDialog.local_ed = ed;

		tinyMCEPopup.resizeToInnerSize();

	},

	insert : function insertButton(ed) {

 

		// set up variables to contain our input values

		var bullet = jQuery('#bullets-dialog input:radio:checked').val();

 

		var output = '';

 

		// setup the output of our shortcode

		output = '[wpgfxm_bullets ';

			output += 'bullet="' + bullet + '"';

			output += ']';

			output += '<ul><li class="bullet">Enter List Info</li><li class="bullet">Enter List Info</li><li class="bullet">Enter List Info</li></ul>';

			output += '[/wpgfxm_bullets]';

 

		tinyMCEPopup.execCommand('mceInsertContent', false, output);

 

		// Return

		tinyMCEPopup.close();

	}

};

tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);

</script>



</head>



<body>

	<div id="bullets-dialog">

		<form action="/" method="get" accept-charset="utf-8">

			<div id="bullets-note">

			<p>Choose Your Bullet Style</p>

			</div>

				<div id="bullets-container">

					<div id="bullet-row">

						<div class="bullet-box">

							<?php echo '<img src="' .plugins_url('bullets/bullet-images/popup/green-plus-sign.png', dirname(__FILE__)). '" width="40" height="40" border="0" /> '; ?>

							<input type="radio" name="bullet-image" value="green-plus-sign" id="bullet-image" />

						</div>

						<div class="bullet-box">

							<?php echo '<img src="' .plugins_url('bullets/bullet-images/popup/green-arrow.png', dirname(__FILE__)). '" width="40" height="40" border="0" /> '; ?>

							<input type="radio" name="bullet-image" value="green-arrow" id="bullet-image" />

						</div>

						<div class="bullet-box">

							<?php echo '<img src="' .plugins_url('bullets/bullet-images/popup/green-tick-3.png', dirname(__FILE__)). '" width="40" height="40" border="0" /> '; ?>

							<input type="radio" name="bullet-image" value="green-tick-3" id="bullet-image" />

						</div>

						<div class="get-full">

							<p><strong>You are using the FREE version of WP Graphix Magic!</strong> To get the <strong>FULL version</strong> which contains dozens more graphics, options, and shortcodes... Grab your copy at <a href="http://www.wpgraphixmagic.com" title="WP Graphix Magic" target="_blank">www.wpgraphixmagic.com</a>!</p>

						</div>

					</div><!-- End bullet-row -->

				</div><!-- End container -->

			<div>	

				<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display:block; line-height:24px;">Insert</a>

			</div>

		</form>

	</div><!-- End bullets-dialog -->

</body>

</html>