<?php



// Bootstrap file for getting the ABSPATH constant to wp-load.php

require_once('../../config.php');



// check for rights

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 

	wp_die(__("You are not allowed to be here"));

?>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<title>Insert Colored Button</title>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.js"></script>

<script language="javascript" type="text/javascript" src="<?php echo home_url(); ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>

<style type="text/css" src="<?php echo home_url(); ?>/wp-includes/js/tinymce/themes/advanced/skins/wp_theme/dialog.css"></style>

<script type="text/javascript" src="<?php echo home_url(); ?>/wp-content/plugins/wp-graphix-magic-light/includes/js/wpgfxm-jscolor/jscolor.js"></script>

<link rel="stylesheet" type="text/css" href="<?php echo home_url(); ?>/wp-content/plugins/wp-graphix-magic-light/includes/buttons/buttons-tinymce.css" />



<script type="text/javascript">

 var ButtonDialog = {

	local_ed : 'ed',

	init : function(ed) {

		ButtonDialog.local_ed = ed;

		tinyMCEPopup.resizeToInnerSize();

	},

	insert : function insertButton(ed) {

 

		// set up variables to contain our input values

		var title = jQuery('#button-dialog input#button-title').val();

		var title_color = jQuery('#button-dialog input#button-title-color').val();

		var link = jQuery('#button-dialog input#button-link').val();

		var size = jQuery('#button-dialog select#button-size').val();

		var color = jQuery('#button-dialog select#button-color').val();		 

		var align = jQuery('#button-dialog select#button-align').val();

		var new_window = jQuery('#button-dialog select#button-target').val();	 

 

		var output = '';

 

		// setup the output of our shortcode

		output = '[wpgfxm_button ';

			output += 'title_color="#' + title_color + '" ';

			output += 'size="' + size + '" ';

			output += 'color="' + color + '" ';

			output += 'align="' + align + '" ';

			output += 'new_window="' + new_window + '" ';

 

		// only insert if the link field is not blank

		if(link) {

			output += 'link="' + link;

		}

		// if it is blank

		else {

			output += 'link="' + "#";

		}



		// check to see if the Button Title field is blank  

		if(title) {	

			output += '"]'+ title + '[/wpgfxm_button]';

		}

		// if it is blank, use the selected text, if present

		else {

			output += '"]'+ "Enter Text" + '[/wpgfxm_button]';

		}

		tinyMCEPopup.execCommand('mceInsertContent', false, output);

 

		// Return

		tinyMCEPopup.close();

	}

};

tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);

</script>



</head>



<body>

	<div id="button-dialog">

		<form action="/" method="get" accept-charset="utf-8">

			<div id="button-note">

			<p>Customize Your Button</p>

			</div>

			<div>

				<label for="button-title">Title</label>

				<input type="text" name="button-title" value="" id="button-title" />

			</div>

			<div>

				<label for="button-title-color">Title Color</label>

				<input type="text" name="button-title-color" value="" id="button-title-color" class="wpgfxm_color" />

			</div>

			<div>

				<label for="button-link">Button Link</label>

				<input type="text" name="button-link" value="" id="button-link" />

				<span style="color:#ce3402;font-size:10px;"><i>Please include http://</i></span>

			</div>

			<div>

				<label for="button-target">Open in New Window?</label>

				<select name="button-target" id="button-target">

					<option value="_self" selected="selected">No (default)</option>

					<option value="_blank">Yes</option>

				</select>

			</div>

			<div>

				<label for="button-size">Button Size</label>

				<select name="button-size" id="button-size">

					<option value="medium">Medium</option>

					<option value="large" selected="selected">Large</option>

				</select>

			</div>

			<div>

				<label for="button-color">Button Color</label>

				<select name="button-color" id="button-color">

					<option value="dark_blue" selected="selected">Blue</option>

					<option value="dark_grey_blue">Grey Blue</option>

					<option value="light_blue">Light Blue</option>

					<option value="orange">Orange</option>

					<option value="orange_yellow">Orange/Yellow</option>

					<option value="red">Red</option>

					<option value="yellow">Yellow</option>

					<option value="purple">Purple</option>

					<option value="brown">Brown</option>

					<option value="green">Green</option>

					<option value="dark_grey">Dark Grey</option>

					<option value="light_grey">Light Grey</option>

				</select>

			</div>

			<div>

				<label for="button-align">Alignment</label>

				<select name="button-align" id="button-align" size="1">

					<option value="left" selected="selected">Left</option>

					<option value="right">Right</option>

					<option value="center">Center</option>

				</select>

			</div>

			<div class="get-full">

				<p><strong>You are using the FREE version of WP Graphix Magic!</strong> To get the <strong>FULL version</strong> which contains dozens more graphics, options, and shortcodes... Grab your copy at <a href="http://www.wpgraphixmagic.com" title="WP Graphix Magic" target="_blank">www.wpgraphixmagic.com</a>!</p>

			</div>

			<div>	

				<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display:block; line-height:24px;">Insert</a>

			</div>

		</form>

	</div>

</body>

</html>