<?php



// Bootstrap file for getting the ABSPATH constant to wp-load.php

require_once('../../config.php');



// check for rights

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 

	wp_die(__("You are not allowed to be here"));

?>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<title>Insert Dividers</title>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.js"></script>

<script language="javascript" type="text/javascript" src="<?php echo home_url(); ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>

<style type="text/css" src="<?php echo home_url(); ?>/wp-includes/js/tinymce/themes/advanced/skins/wp_theme/dialog.css"></style>

<link rel="stylesheet" type="text/css" href="<?php echo home_url(); ?>/wp-content/plugins/wp-graphix-magic-light/includes/dividers/dividers-tinymce.css" />



<script type="text/javascript">

 var ButtonDialog = {

	local_ed : 'ed',

	init : function(ed) {

		ButtonDialog.local_ed = ed;

		tinyMCEPopup.resizeToInnerSize();

	},

	insert : function insertButton(ed) {



		// set up variables to contain our input values	

		var divider_image = jQuery('#dividers-dialog input:radio:checked').val();



		var output = '';

 

		// setup the output of our shortcode

		output = '[wpgfxm_divider ';

			output += 'divider_image="' + divider_image + '"';

			output += ']';



		tinyMCEPopup.execCommand('mceInsertContent', false, output);

 

		// Return

		tinyMCEPopup.close();

	}

};

tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);

</script>



</head>



<body>

	<div id="dividers-dialog">

		<form action="/" method="get" accept-charset="utf-8">

			<div id="dividers-note">

			<p>Choose Your Divider</p>

			</div>

				<div id="dividers-container">

					<div id="divider-row">

						<div class="divider-box"><span>Divider 1</span>

							<?php echo '<img src="' .plugins_url('dividers/divider-images/popup/divider-1.png', dirname(__FILE__)). '" width="475" height="20" border="0" /> '; ?>

							<p>Approximate Width: 475px</p>

							<input type="radio" name="wpgfxm-divider" value="divider-1" id="divider-image" />

						</div>

						<div class="divider-box"><span>Divider 2</span>

							<?php echo '<img src="' .plugins_url('dividers/divider-images/popup/divider-2.png', dirname(__FILE__)). '" width="475" height="20" border="0" /> '; ?>

							<p>Approximate Width: 475px</p>

							<input type="radio" name="wpgfxm-divider" value="divider-2" id="divider-image" />

						</div>

						<div class="divider-box"><span>Standard Divider</span>

							<p class="standard">Approximate Width: Varies</p>

							<input type="radio" name="wpgfxm-divider" value="css" id="divider-image" />

						</div>

						<div class="get-full">

							<p><strong>You are using the FREE version of WP Graphix Magic!</strong> To get the <strong>FULL version</strong> which contains dozens more graphics, options, and shortcodes... Grab your copy at <a href="http://www.wpgraphixmagic.com" title="WP Graphix Magic" target="_blank">www.wpgraphixmagic.com</a>!</p>

						</div>

					</div><!-- End divider-row -->

				</div><!-- End container -->

			<div>	

				<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display:block; line-height:24px;">Insert</a>

			</div>

		</form>

	</div><!-- End dividers-dialog -->

</body>

</html>