<?php



// Bootstrap file for getting the ABSPATH constant to wp-load.php

require_once('../../config.php');



// check for rights

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 

	wp_die(__("You are not allowed to be here"));

?>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<title>Custom Headline Text</title>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.js"></script>

<script language="javascript" type="text/javascript" src="<?php echo home_url(); ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>

<style type="text/css" src="<?php echo home_url(); ?>/wp-includes/js/tinymce/themes/advanced/skins/wp_theme/dialog.css"></style>

<script type="text/javascript" src="<?php echo home_url(); ?>/wp-content/plugins/wp-graphix-magic-light/includes/js/wpgfxm-jscolor/jscolor.js"></script>

<link rel="stylesheet" type="text/css" href="<?php echo home_url(); ?>/wp-content/plugins/wp-graphix-magic-light/includes/headlines/headlines-tinymce.css" />



<script type="text/javascript">

 var ButtonDialog = {

	local_ed : 'ed',

	init : function(ed) {

		ButtonDialog.local_ed = ed;

		tinyMCEPopup.resizeToInnerSize();

	},

	insert : function insertButton(ed) {

  

		// set up variables to contain our input values

		var font = jQuery('#headlines-dialog select#hfonts-select').val();

		var size = jQuery('#headlines-dialog select#hfonts-size').val();

		var color = jQuery('#headlines-dialog input#hfonts-color').val();

		var shadow = jQuery('#headlines-dialog select#hfonts-shadow').val();

		var decor = jQuery('#headlines-dialog select#hfonts-tdec').val();		 

		var style = jQuery('#hfonts-style input:radio:checked').val();

		var weight = jQuery('#hfonts-weight input:radio:checked').val();

		var align = jQuery('#hfonts-talign input:radio:checked').val();

		var spacing = jQuery('#headlines-dialog select#hfonts-lspace').val();	 

		var lineheight = jQuery('#headlines-dialog select#hfonts-lheight').val();

 

		var output = '';

 

		// setup the output of our shortcode

		output = '[wpgfxm_headlines ';

			output += 'font="' + font + '" ';

			output += 'size="' + size + '" ';

			output += 'color="#' + color + '" ';

			output += 'shadow="' + shadow + '" ';

			output += 'decor="' + decor + '" ';

			output += 'style="' + style + '" ';

			output += 'weight="' + weight + '" ';

			output += 'align="' + align + '" ';

			output += 'spacing="' + spacing + '" ';

			output += 'lineheight="' + lineheight + '"';

			output += ']'+ ed.selection.getContent() +'[/wpgfxm_headlines]';

 

		tinyMCEPopup.execCommand('mceInsertContent', false, output);

 

		// Return

		tinyMCEPopup.close();

	}

};

tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);

</script>



</head>



<body>

	<div id="headlines-dialog">

		<form action="/" method="get" accept-charset="utf-8">

			<div id="headlines-note">

			<p>Add Your Custom Headline Text</p>

			</div>

			<div>

				<label for="hfonts-select">Fonts:</label>

				<select name="hfonts-select" id="hfonts-select">

					<option value="Arial">Arial</option>

					<option value="Arial Black">Arial Black</option>

					<option value="Impact" selected="selected">Impact</option>

					<option value="Trebuchet MS">Trebuchet MS</option>

					<option value="Tahoma">Tahoma</option>

					<option value="Verdana">Verdana</option>

					<option value="Lucida Sans">Lucida Sans</option>

					<option value="Comic Sans">Comic Sans</option>

					<option value="Georgia, serif">Georgia</option>

					<option value="Palatino">Palatino</option>

					<option value="Times New Roman">Times New Roman</option>

				</select>

			</div>

			<div>

				<label for="hfonts-size">Font Size:</label>

				<select name="hfonts-size" id="hfonts-size">

					<option value="9px">9px</option>

					<option value="10px">10px</option>

					<option value="11px">11px</option>

					<option value="12px">12px</option>

					<option value="13px">13px</option>

					<option value="14px">14px</option>

					<option value="15px">15px</option>

					<option value="16px">16px</option>

					<option value="17px">17px</option>

					<option value="18px">18px</option>

					<option value="19px">19px</option>

					<option value="20px">20px</option>

					<option value="21px">21px</option>

					<option value="22px">22px</option>

					<option value="23px">23px</option>

					<option value="24px">24px</option>

					<option value="25px">25px</option>

					<option value="26px">26px</option>

					<option value="27px">27px</option>

					<option value="28px">28px</option>

					<option value="29px">29px</option>

					<option value="30px">30px</option>

					<option value="31px">31px</option>

					<option value="32px">32px</option>

					<option value="33px">33px</option>

					<option value="34px">34px</option>

					<option value="35px">35px</option>

					<option value="36px">36px</option>

					<option value="37px">37px</option>

					<option value="38px">38px</option>

					<option value="39px">39px</option>

					<option value="40px" selected="selected">40px</option>

					<option value="41px">41px</option>

					<option value="42px">42px</option>

					<option value="43px">43px</option>

					<option value="44px">44px</option>

					<option value="45px">45px</option>

					<option value="46px">46px</option>

					<option value="47px">47px</option>

					<option value="48px">48px</option>

					<option value="49px">49px</option>

					<option value="50px">50px</option>

					<option value="51px">51px</option>

					<option value="52px">52px</option>

					<option value="53px">53px</option>

					<option value="54px">54px</option>

					<option value="55px">55px</option>

					<option value="56px">56px</option>

					<option value="57px">57px</option>

					<option value="58px">58px</option>

					<option value="59px">59px</option>

					<option value="60px">60px</option>

					<option value="61px">61px</option>

					<option value="62px">62px</option>

					<option value="63px">63px</option>

					<option value="64px">64px</option>

					<option value="65px">65px</option>

					<option value="66px">66px</option>

					<option value="67px">67px</option>

					<option value="68px">68px</option>

					<option value="69px">69px</option>

					<option value="70px">70px</option>

				</select>

			</div>

			<div>

				<label for="hfonts-color">Font Color</label>

				<input type="text" name="hfonts-color" value="" id="hfonts-color" class="wpgfxm_color" />

			</div>

			<div>

				<label for="hfonts-shadow">Text Shadow:</label>

				<select name="hfonts-shadow" id="hfonts-shadow">

					<option value="none" selected="selected">No</option>

					<option value="yes">Yes</option>

				</select>

			</div>

			<div>

				<label for="hfonts-tdec">Text Decoration</label>

				<select name="hfonts-tdec" id="hfonts-tdec">

					<option value="none" selected="selected">None</option>

					<option value="underline">Underline</option>

					<option value="line-through">Line Through</option>

				</select>

			</div>

			<div id="hfonts-style">

				<label for="hfonts-style">Font Style:</label>

					<input type="radio" name="hfonts-style" value="normal" class="hfonts-style" checked /> Normal

					<input type="radio" name="hfonts-style" value="italic" class="hfonts-style" /> Italic

			</div>

			<div id="hfonts-weight">

				<label for="hfonts-weight">Font Weight:</label>

					<input type="radio" name="hfonts-weight" value="normal" class="hfonts-weight" checked /> Normal

					<input type="radio" name="hfonts-weight" value="bold" class="hfonts-weight" /> Bold

			</div>

			<div id="hfonts-talign">

				<label for="hfonts-talign">Text Align:</label>

					<input type="radio" name="hfonts-talign" value="center" class="hfonts-talign" checked /> Center

					<input type="radio" name="hfonts-talign" value="left" class="hfonts-talign" /> Left

					<input type="radio" name="hfonts-talign" value="right" class="hfonts-talign" /> Right

			</div>

			<div>

				<label for="hfonts-lspace">Letter Spacing</label>

				<select name="hfonts-lspace" id="hfonts-lspace">

					<option value="normal" selected="selected">Normal</option>

					<option value="1px">1px</option>

					<option value="2px">2px</option>

					<option value="3px">3px</option>

					<option value="4px">4px</option>

					<option value="5px">5px</option>

					<option value="6px">6px</option>

					<option value="7px">7px</option>

					<option value="8px">8px</option>

					<option value="9px">9px</option>

					<option value="10px">10px</option>

					<option value="-1px">-1px</option>

					<option value="-2px">-2px</option>

					<option value="-3px">-3px</option>

					<option value="-4px">-4px</option>

					<option value="-5px">-5px</option>

				</select>

			</div>

			<div>

				<label for="hfonts-lheight">Letter Height</label>

				<select name="hfonts-lheight" id="hfonts-lheight">

					<option value="80%">80%</option>

					<option value="90%">90%</option>

					<option value="100%">100%</option>

					<option value="110%">110%</option>

					<option value="120%" selected="selected">120% (default)</option>

					<option value="130%">130%</option>

					<option value="140%">140%</option>

					<option value="150%">150%</option>

					<option value="160%">160%</option>

					<option value="170%">170%</option>

					<option value="180%">180%</option>

					<option value="190%">190%</option>

					<option value="200%">200%</option>

				</select>

			</div>

			<div class="get-full">

				<p><strong>You are using the FREE version of WP Graphix Magic!</strong> To get the <strong>FULL version</strong> which contains dozens more graphics, options, and shortcodes... Grab your copy at <a href="http://www.wpgraphixmagic.com" title="WP Graphix Magic" target="_blank">www.wpgraphixmagic.com</a>!</p>

			</div>

			<div>	

				<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display:block; line-height:24px;">Insert</a>

			</div>

		</form>

	</div>

</body>

</html>