<?php



// Bootstrap file for getting the ABSPATH constant to wp-load.php

require_once('../../config.php');



// check for rights

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 

	wp_die(__("You are not allowed to be here"));

?>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<title>Insert Highlighter Color</title>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.js"></script>

<script language="javascript" type="text/javascript" src="<?php echo home_url(); ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>

<style type="text/css" src="<?php echo home_url(); ?>/wp-includes/js/tinymce/themes/advanced/skins/wp_theme/dialog.css"></style>

<script type="text/javascript" src="<?php echo home_url(); ?>/wp-content/plugins/wp-graphix-magic-light/includes/js/wpgfxm-jscolor/jscolor.js"></script>

<link rel="stylesheet" type="text/css" href="<?php echo home_url(); ?>/wp-content/plugins/wp-graphix-magic-light/includes/highlighter/highlighter-tinymce.css" />



<script type="text/javascript">

 var ButtonDialog = {

	local_ed : 'ed',

	init : function(ed) {

		ButtonDialog.local_ed = ed;

		tinyMCEPopup.resizeToInnerSize();

	},

	insert : function insertButton(ed) {

 

		// set up variables to contain our input values

		var bg_color = jQuery('#highlighter-dialog input#highlighter-color').val();

		var text_color = jQuery('#highlighter-dialog input#highlighter-tcolor').val();



		var output = '';

 

		// setup the output of our shortcode

		output = '[wpgfxm_highlighter ';

			output += 'bg_color="#' + bg_color + '" ';

			output += 'text_color="#' + text_color + '"';

			output += ']'+ ed.selection.getContent() +'[/wpgfxm_highlighter]';



		tinyMCEPopup.execCommand('mceInsertContent', false, output);

 

		// Return

		tinyMCEPopup.close();

	}

};

tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);

</script>



</head>



<body>

	<div id="highlighter-dialog">

		<form action="/" method="get" accept-charset="utf-8">

			<div id="highlighter-note">

			<p>Choose Your Highlight Color</p>

			</div>

			<div>

				<label for="highlighter-color">Highlighter Color</label>

				<input type="text" name="highlighter-color" value="fff76b" id="highlighter-color" class="wpgfxm_color" />

			</div>

			<div>

				<label for="highlighter-tcolor">Text Color</label>

				<input type="text" name="highlighter-tcolor" value="000000" id="highlighter-tcolor" class="wpgfxm_color" />

			</div>

			<div class="get-full">

				<p><strong>You are using the FREE version of WP Graphix Magic!</strong> To get the <strong>FULL version</strong> which contains dozens more graphics, options, and shortcodes... Grab your copy at <a href="http://www.wpgraphixmagic.com" title="WP Graphix Magic" target="_blank">www.wpgraphixmagic.com</a>!</p>

			</div>

			<div>	

				<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display:block; line-height:24px;">Insert</a>

			</div>

		</form>

	</div>

</body>

</html>