// Function for colored buttons

	(function() {

	tinymce.create('tinymce.plugins.wpgfxmShortcodes', {

		init : function(ed, url) {

			// Register commands

			ed.addCommand('mceHeadlines', function() {

				ed.windowManager.open({

					file : url + '/includes/headlines/headlines-popup.php', // file that contains HTML for our modal window

					width : 400 + parseInt(ed.getLang('headlines.delta_width', 0)), // size of our window

					height : 610 + parseInt(ed.getLang('headlines.delta_height', 0)), // size of our window

					inline : 1

				}, {

					plugin_url : url

				});

			});



			// Register commands

			ed.addCommand('mceHighlighter', function() {

				ed.windowManager.open({

					file : url + '/includes/highlighter/highlighter-popup.php', // file that contains HTML for our modal window

					width : 350 + parseInt(ed.getLang('highlighter.delta_width', 0)), // size of our window

					height : 340 + parseInt(ed.getLang('highlighter.delta_height', 0)), // size of our window

					inline : 1

				}, {

					plugin_url : url

				});

			});



			// Register commands

			ed.addCommand('mceDividers', function() {

				ed.windowManager.open({

					file : url + '/includes/dividers/dividers-popup.php', // file that contains HTML for our modal window

					width : 780 + parseInt(ed.getLang('dividers.delta_width', 0)), // size of our window

					height : 590 + parseInt(ed.getLang('dividers.delta_height', 0)), // size of our window

					inline : 1

				}, {

					plugin_url : url

				});

			});



			// Register commands

			ed.addCommand('mceBullets', function() {

				ed.windowManager.open({

					file : url + '/includes/bullets/bullets-popup.php', // file that contains HTML for our modal window

					width : 350 + parseInt(ed.getLang('bullets.delta_width', 0)), // size of our window

					height : 350 + parseInt(ed.getLang('bullets.delta_height', 0)), // size of our window

					inline : 1

				}, {

					plugin_url : url

				});

			});



			// Register commands

			ed.addCommand('mceContentBoxes', function() {

				ed.windowManager.open({

					file : url + '/includes/contentboxes/contentboxes-popup.php', // file that contains HTML for our modal window

					width : 352 + parseInt(ed.getLang('contentboxes.delta_width', 0)), // size of our window

					height : 580 + parseInt(ed.getLang('contentboxes.delta_height', 0)), // size of our window

					inline : 1

				}, {

					plugin_url : url

				});

			});



			// Register commands

			ed.addCommand('mceColoredButtons', function() {

				ed.windowManager.open({

					file : url + '/includes/buttons/buttons-popup.php', // file that contains HTML for our modal window

					width : 350 + parseInt(ed.getLang('button.delta_width', 0)), // size of our window

					height : 500 + parseInt(ed.getLang('button.delta_height', 0)), // size of our window

					inline : 1

				}, {

					plugin_url : url

				});

			});



			// Register commands

			ed.addCommand('mceSalesButtons', function() {

				ed.windowManager.open({

					file : url + '/includes/salesbuttons/salesbuttons-popup.php', // file that contains HTML for our modal window

					width : 780 + parseInt(ed.getLang('salesbuttons.delta_width', 0)), // size of our window

					height : 670 + parseInt(ed.getLang('salesbuttons.delta_height', 0)), // size of our window

					inline : 1

				}, {

					plugin_url : url

				});

			});



			// Register commands

			ed.addCommand('mceSalesBoxes', function() {

				ed.windowManager.open({

					file : url + '/includes/salesboxes/salesboxes-popup.php', // file that contains HTML for our modal window

					width : 780 + parseInt(ed.getLang('salesboxes.delta_width', 0)), // size of our window

					height : 630 + parseInt(ed.getLang('salesboxes.delta_height', 0)), // size of our window

					inline : 1

				}, {

					plugin_url : url

				});

			});





			// Register commands

			ed.addCommand('mceBadges', function() {

				ed.windowManager.open({

					file : url + '/includes/badges/badges-popup.php', // file that contains HTML for our modal window

					width : 780 + parseInt(ed.getLang('badges.delta_width', 0)), // size of our window

					height : 500 + parseInt(ed.getLang('badges.delta_height', 0)), // size of our window

					inline : 1

				}, {

					plugin_url : url

				});

			});



		// Register commands

			ed.addCommand('mceFullVersion', function() {

				ed.windowManager.open({

					file : url + '/includes/fullversion/fullversion-popup.php', // file that contains HTML for our modal window

					width : 815 + parseInt(ed.getLang('fullversion.delta_width', 0)), // size of our window

					height : 615 + parseInt(ed.getLang('fullversion.delta_height', 0)), // size of our window

					inline : 1

				}, {

					plugin_url : url

				});

			});



		// Register buttons

			ed.addButton('wpgfxm_headlines', {title : 'Headlines', cmd : 'mceHeadlines', image: url + '/includes/images/tinymce-button-icons/headlines.png'});

			ed.addButton('wpgfxm_highlighter', {title : 'Highlighter', cmd : 'mceHighlighter', image: url + '/includes/images/tinymce-button-icons/highlighter.png'});

			ed.addButton('wpgfxm_dividers', {title : 'Dividers', cmd : 'mceDividers', image: url + '/includes/images/tinymce-button-icons/dividers.png'});

			ed.addButton('wpgfxm_bullets', {title : 'Bullets', cmd : 'mceBullets', image: url + '/includes/images/tinymce-button-icons/bullets.png'});

			ed.addButton('wpgfxm_contentboxes', {title : 'Content Boxes', cmd : 'mceContentBoxes', image: url + '/includes/images/tinymce-button-icons/contentboxes.png'});

			ed.addButton('wpgfxm_button', {title : 'Colored Buttons', cmd : 'mceColoredButtons', image: url + '/includes/images/tinymce-button-icons/buttons.png'});

			ed.addButton('wpgfxm_salesbuttons', {title : 'Sales Buttons', cmd : 'mceSalesButtons', image: url + '/includes/images/tinymce-button-icons/salesbuttons.png'});

			ed.addButton('wpgfxm_salesboxes', {title : 'Sales Boxes', cmd : 'mceSalesBoxes', image: url + '/includes/images/tinymce-button-icons/salesbox.png'});

			ed.addButton('wpgfxm_badge', {title : 'Badges', cmd : 'mceBadges', image: url + '/includes/images/tinymce-button-icons/badges.png'});

			ed.addButton('wpgfxm_fullversion', {title : 'Full Version', cmd : 'mceFullVersion', image: url + '/includes/images/tinymce-button-icons/fullversion.png'});

		},



		getInfo : function() {

			return {

				longname : 'WP Graphix Magic',

				author : 'Scott Inman',

				authorurl : 'http://www.wpgraphixmagic.com',

				infourl : 'http://www.wpgraphixmagic.com',

				version : tinymce.majorVersion + "." + tinymce.minorVersion

			};

		}

});

 

	// Register plugin

	// first parameter is the button ID and must match ID elsewhere

	// second parameter must match the first parameter of the tinymce.create() function above

	tinymce.PluginManager.add('wpgfxm_button', tinymce.plugins.wpgfxmShortcodes);

 

})();